
# The Kalzium solver needs OCaml with native compilation support (ocamlopt) and
# ocaml-facile.
%ifarch alpha %{ix86} ia64 x86_64 ppc ppc64 sparc sparcv9
%define with_facile 1
%endif

Name:    kdeedu
Summary: Educational/Edutainment applications
Version: 4.6.3
Release: 1%{?dist}

License: GPLv2
Group:   Amusements/Games
URL:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdeedu-%{version}.tar.bz2
# interim Marble release (Marble 1.1.0)
%global marblever 1.1.0
Source1: http://files.kde.org/marble/downloads/sources/marble-%{marblever}-source.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstreamable patches

## upstream patches

Obsoletes: kdeedu4 < %{version}-%{release}
Provides:  kdeedu4 = %{version}-%{release}

BuildRequires: attica-devel
BuildRequires: avogadro-devel >= 1.0.1
# Kig can optionally use Boost.Python for Python scripting
BuildRequires: boost-devel
# CFITSIO Library is needed by KStars for many INDI drivers & for KStars FITS Viewer.
%if 0%{?fedora}
BuildRequires: cfitsio-devel
BuildRequires: xplanet
BuildRequires: libindi-devel >= 0.6.1
BuildRequires: libnova-devel
BuildRequires: libqalculate-devel
BuildRequires: openbabel-devel >= 2.2.0-0.4.b5
BuildRequires: eigen2-devel >= 2.0.3
BuildRequires: gpsd-devel
%endif
BuildRequires: desktop-file-utils
BuildRequires: gsl-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: plasma-devel >= %{version}
BuildRequires: libspectre-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
%if 0%{?with_facile}
BuildRequires: ocaml(compiler)
BuildRequires: ocaml-facile-devel
%endif
BuildRequires: python-devel python
BuildRequires: R-devel
BuildRequires: readline-devel

## BR's FIXME/TODO:
#-----------------------------------------------------------------------------
#-- The following OPTIONAL packages could NOT be located on your system.
#-- Consider installing them to enable more features from this software.
#-----------------------------------------------------------------------------
#   * Experimental Python binding support for the Marble library  <http://techbase.kde.org/Development/Languages/Python>
#     Experimental Python binding support for the Marble library
#     Experimental Python binding support for the Marble library. To activate it pass -DEXPERIMENTAL_PYTHON_BINDINGS=TRUE to cmake.

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
# help multilib upgrades 
Obsoletes: kdeedu < 4.3.0-3
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
# blinken
Requires: sj-stevehand-fonts
# khangman
Requires: dustin-dustismo-roman-fonts
Requires: dustin-domestic-manners-fonts
# parley
Requires: kross(python)
Requires: python-mwclient

Provides: plasma-dataengine-kalzium = %{version}-%{release}
Provides: plasma-dataengine-parley = %{version}-%{release}

%description
Educational/Edutainment applications:
* blinken: Simon Says Game
* kalzium: A periodic table of the elements
* kanagram: Anagram game
* kgeography: Learn geography
* khangman: Hangman Game
* kiten: Japanese Reference/Study Tool
* klettres: French alphabet tutor
* ktouch: Learn and practice touch typing
* kturtle: Logo Programming Environment
* kwordquiz: Flashcard and vocabulary learning
* parley: Vocabulary Trainer
* step: Interactive physical simulator

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: %{name}-marble-libs%{?_isa} = %{version}-%{release}
Obsoletes: kdeedu4-devel < %{version}-%{release}
Provides:  kdeedu4-devel = %{version}-%{release}
# http://bugzilla.redhat.com/394011
Obsoletes: marble-devel < 1:0.5.1-1
Provides:  marble-devel = 1:0.7-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.

%package kstars
Group:   Amusements/Games
Summary: Desktop Planetarium
# help multilib upgrades
Obsoletes: kdeedu-kstars < 4.3.0-6
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: %{name}-kstars-libs%{?_isa} = %{version}-%{release}
#Requires(hint): xplanet
%description kstars
%{summary}.

%package kstars-libs
Summary: Runtime libraries for kstars 
Group:   System Environment/Libraries
Requires: %{name}-kstars = %{version}-%{release}
%description kstars-libs
%{summary}.

%package marble
Summary: A World Atlas
Group:   Amusements/Games
Requires: %{name}-marble-libs%{?_isa} = %{version}-%{release}
# help multilib upgrades 
Obsoletes: kdeedu-marble < 4.3.1-4
# http://bugzilla.redhat.com/394011
Obsoletes: marble < 1:0.5.1-1
Provides:  marble = 1:0.7-%{release}
%description marble
%{summary}.

%package marble-libs
Summary: Runtime libraries for marble 
Group:   System Environment/Libraries
Requires: %{name}-marble = %{version}-%{release}
%description marble-libs
%{summary}.

%package math
Group:	 Amusements/Games
Summary: Math applications
# http://bugzilla.redhat.com/371121
Obsoletes: kalgebra < 1:0.7-7
Provides:  kalgebra = 1:0.7-7
Provides: kdeedu4-math = %{version}-%{release}
Requires: %{name}-math-libs%{?_isa} = %{version}-%{release}
%description math
Educational/Edutainment Math applications:
* cantor: Frontend for math applications
* kalgebra: MathML-based graph calculator
* kbruch: Exercise Fractions and Percentages
* kig: Interactive Geometry
* kmplot: Mathematical Function Plotter
* rocs: Graph Theory IDE

%package math-cantor-R
Summary: R backend for Cantor
Group:   Amusements/Games
Requires: %{name}-math%{?_isa} = %{version}-%{release}
%description math-cantor-R
%{summary}, which is part of kdeedu-math.

%package math-libs
Summary: Runtime libraries for %{name}-math
Group:   System Environment/Libraries
%description math-libs
%{summary}.


%prep
%setup -q -n kdeedu-%{version}%{?alphatag}
# replace the Marble 1.0.x in kdeedu with 1.1.x
%setup -q -T -D -a 1 -c -n kdeedu-%{version}%{?alphatag}/marble-%{marblever}
%setup -q -T -D -n kdeedu-%{version}%{?alphatag}
rm -rf marble doc/marble
mv marble-%{marblever} marble
mv marble/doc doc/marble


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# #unpackaged files
# omit stuff for which there isn't a clear public API
rm -f %{buildroot}%{_kde4_libdir}/lib{SatLib,analitza,analitzagui,cantorlibs,compoundviewer,htmesh,sbigudrv}.{a,so}

# omit dustismo roman font
rm -f %{buildroot}%{_kde4_appsdir}/khangman/fonts/Dustismo_Roman.ttf
# omit domestic manners font
rm -f %{buildroot}%{_kde4_appsdir}/khangman/fonts/Domestic_Manners.ttf
# omit steve font
rm -f %{buildroot}%{_kde4_appsdir}/blinken/fonts/steve.ttf
# omit copies of python-(mwclient,simplejson)
rm -rf %{buildroot}%{_kde4_appsdir}/parley/plugins/mwclient


%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
# FIXME: making these non-fatal for now -- Rex
  desktop-file-validate $f ||:
done


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%post libs 
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun libs
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%posttrans libs
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%post kstars
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans kstars
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun kstars
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%post marble
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans marble
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun marble
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%post math
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans math
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun math
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%post math-cantor-R
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans math-cantor-R
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun math-cantor-R
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%post math-libs -p /sbin/ldconfig

%postun math-libs -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
# FIXME/TODO : sort file list into per-app sections. ? -- Rex
%{_kde4_bindir}/blinken
%{_kde4_bindir}/kalzium
%{_kde4_bindir}/kanagram
%{_kde4_bindir}/kgeography
%{_kde4_bindir}/khangman
%{_kde4_bindir}/kiten
%{_kde4_bindir}/kitengen
%{_kde4_bindir}/kitenradselect
%{_kde4_bindir}/klettres
%{_kde4_bindir}/ktouch
%{_kde4_bindir}/kturtle
%{_kde4_bindir}/kwordquiz
%{_kde4_bindir}/parley
%{_kde4_bindir}/step
%{_kde4_bindir}/tilecreator

# FIXME?
%{_kde4_appsdir}/desktoptheme/
%{_kde4_appsdir}/blinken/
%{_kde4_appsdir}/kalzium/
%{_kde4_appsdir}/kanagram/
%{_kde4_appsdir}/kgeography/
%{_kde4_appsdir}/khangman/
%{_kde4_appsdir}/kiten/
%{_kde4_appsdir}/kitenradselect/
%{_kde4_appsdir}/klettres/
%{_kde4_appsdir}/ktouch/
%{_kde4_appsdir}/kturtle/
%{_kde4_appsdir}/kvtml/
%{_kde4_appsdir}/kwordquiz/
%{_kde4_appsdir}/parley/
%{_kde4_appsdir}/step/

%{_kde4_datadir}/kde4/services/*Calculator.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-Molmasscalculator.desktop
%{_kde4_datadir}/kde4/services/plasma-dataengine-parley.desktop
%{_kde4_datadir}/kde4/services/plasma_parley.desktop
%{_kde4_datadir}/kde4/services/plasma-dataengine-kalzium.desktop
%{_kde4_datadir}/kde4/services/plasma_didyouknow.desktop

%{_kde4_libdir}/kde4/*Calculator.so
%{_kde4_libdir}/kde4/plasma_applet_parley.so
%{_kde4_libdir}/kde4/plasma_engine_parley.so
%{_kde4_libdir}/kde4/plasma_applet_didyouknow.so
%{_kde4_libdir}/kde4/plasma_engine_kalzium.so

%{_kde4_datadir}/applications/kde4/blinken.desktop
%{_kde4_datadir}/applications/kde4/kalzium.desktop
%{_kde4_datadir}/applications/kde4/kanagram.desktop
%{_kde4_datadir}/applications/kde4/kgeography.desktop
%{_kde4_datadir}/applications/kde4/khangman.desktop
%{_kde4_datadir}/applications/kde4/kiten.desktop
%{_kde4_datadir}/applications/kde4/klettres.desktop
%{_kde4_datadir}/applications/kde4/ktouch.desktop
%{_kde4_datadir}/applications/kde4/kturtle.desktop
%{_kde4_datadir}/applications/kde4/kwordquiz.desktop
%{_kde4_datadir}/applications/kde4/parley.desktop
%{_kde4_datadir}/applications/kde4/step.desktop

%{_kde4_datadir}/config.kcfg/blinken.kcfg
%{_kde4_datadir}/config.kcfg/documentsettings.kcfg
%{_kde4_datadir}/config.kcfg/kalzium.kcfg
%{_kde4_datadir}/config.kcfg/kanagram.kcfg
%{_kde4_datadir}/config.kcfg/kgeography.kcfg
%{_kde4_datadir}/config.kcfg/khangman.kcfg
%{_kde4_datadir}/config.kcfg/kiten.kcfg
%{_kde4_datadir}/config.kcfg/klettres.kcfg
%{_kde4_datadir}/config.kcfg/ktouch.kcfg
%{_kde4_datadir}/config.kcfg/kwordquiz.kcfg
%{_kde4_datadir}/config.kcfg/languagesettings.kcfg
%{_kde4_datadir}/config.kcfg/parley.kcfg
%{_kde4_datadir}/config.kcfg/step.kcfg
%{_kde4_configdir}/kalzium.knsrc
%{_kde4_configdir}/kanagram.knsrc
%{_kde4_configdir}/khangman.knsrc
%{_kde4_configdir}/klettres.knsrc
%{_kde4_configdir}/kturtle.knsrc
%{_kde4_configdir}/kwordquiz.knsrc
%{_kde4_configdir}/parley.knsrc
%{_kde4_configdir}/parley-themes.knsrc
%{_kde4_configdir}/step.knsrc

%{_kde4_docdir}/HTML/en/blinken/
%{_kde4_docdir}/HTML/en/kalzium/
%{_kde4_docdir}/HTML/en/kanagram/
%{_kde4_docdir}/HTML/en/kgeography/
%{_kde4_docdir}/HTML/en/khangman/
%{_kde4_docdir}/HTML/en/kiten/
%{_kde4_docdir}/HTML/en/klettres/
%{_kde4_docdir}/HTML/en/ktouch/
%{_kde4_docdir}/HTML/en/kturtle
%{_kde4_docdir}/HTML/en/kwordquiz/
%{_kde4_docdir}/HTML/en/parley/
%{_kde4_docdir}/HTML/en/step/

%{_kde4_iconsdir}/hicolor/*/*/blinken.*
%{_kde4_iconsdir}/hicolor/*/*/kalzium.*
%{_kde4_iconsdir}/hicolor/*/*/kanagram.*
%{_kde4_iconsdir}/hicolor/*/*/kgeography.*
%{_kde4_iconsdir}/hicolor/*/*/khangman.*
%{_kde4_iconsdir}/hicolor/*/*/kiten.*
%{_kde4_iconsdir}/hicolor/*/*/klettres.*
%{_kde4_iconsdir}/hicolor/*/*/ktouch.*
%{_kde4_iconsdir}/hicolor/*/*/kturtle.*
%{_kde4_iconsdir}/hicolor/*/*/kwordquiz.*
%{_kde4_iconsdir}/hicolor/*/*/parley*.*
%{_kde4_iconsdir}/hicolor/*/*/step.*

%{_mandir}/man1/kalzium.*
%{_mandir}/man1/ktouch.*
%{_mandir}/man6/khangman.*

%files libs
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_appsdir}/libkdeedu/
%{_kde4_libdir}/libcompoundviewer.so.4*
%{_kde4_libdir}/libkdeeduui.so.4*
%{_kde4_libdir}/libkeduvocdocument.so.4*
%{_kde4_libdir}/libkiten.so.4*
%{_kde4_libdir}/libscience.so.4*
%{_kde4_iconsdir}/hicolor/*/*/coords.*
%{_kde4_iconsdir}/hicolor/*/*/deriv_func.*
%{_kde4_iconsdir}/hicolor/*/*/editconstants.*
%{_kde4_iconsdir}/hicolor/*/*/editplots.*
%{_kde4_iconsdir}/hicolor/*/*/func.*
%{_kde4_iconsdir}/hicolor/*/*/functionhelp.*
%{_kde4_iconsdir}/hicolor/*/*/integral_func.*
%{_kde4_iconsdir}/hicolor/*/*/lessen.*
%{_kde4_iconsdir}/hicolor/*/*/magnify.*
%{_kde4_iconsdir}/hicolor/*/*/maximum.*
%{_kde4_iconsdir}/hicolor/*/*/minimum.*
%{_kde4_iconsdir}/hicolor/*/*/newdifferential.*
%{_kde4_iconsdir}/hicolor/*/*/newfunction.*
%{_kde4_iconsdir}/hicolor/*/*/newimplicit.*
%{_kde4_iconsdir}/hicolor/*/*/newparametric.*
%{_kde4_iconsdir}/hicolor/*/*/newpolar.*
%{_kde4_iconsdir}/hicolor/*/*/resetview.*

%files devel
%defattr(-,root,root,-)
%{_kde4_appsdir}/cmake/modules/FindKDEEdu.cmake
%{_kde4_appsdir}/cmake/modules/FindMarble.cmake
%{_kde4_appsdir}/cmake/modules/FindMarbleWidget.cmake
%{_kde4_includedir}/libkdeedu/
%{_kde4_includedir}/libkiten/
%{_kde4_includedir}/rocs/
%{_includedir}/marble/
%{_kde4_libdir}/libkdeedu*.so
%{_kde4_libdir}/libkeduvocdocument.so
%{_kde4_libdir}/libkiten.so
%{_kde4_libdir}/libscience.so
%{_kde4_libdir}/libmarble*.so
%{_kde4_libdir}/librocslib.so

%files kstars
%defattr(-,root,root,-)
%{_kde4_bindir}/kstars
%{_kde4_datadir}/applications/kde4/kstars.desktop
%{_kde4_datadir}/config.kcfg/kstars.kcfg
%{_kde4_configdir}/kstars.knsrc
%{_kde4_docdir}/HTML/en/kstars/
%{_kde4_appsdir}/kstars/
%{_kde4_iconsdir}/hicolor/*/*/kstars.*

%files kstars-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libSatLib.so.*

%files marble
%defattr(-,root,root,-)
%{_kde4_appsdir}/marble/
%{_kde4_appsdir}/marble_part/
%{_kde4_bindir}/marble
%{_kde4_bindir}/geodatatest
%{_kde4_bindir}/routing-instructions
%{_kde4_datadir}/applications/kde4/marble.desktop
%{_kde4_datadir}/config.kcfg/marble.kcfg
%{_kde4_datadir}/kde4/services/marble_part.desktop
%{_kde4_docdir}/HTML/en/marble/
%{_kde4_iconsdir}/hicolor/*/*/marble.*
# worldclock links against libmarblewidget, include here
%{_kde4_libdir}/kde4/plasma_applet_worldclock.so
%{_kde4_datadir}/kde4/services/plasma-applet-kworldclock.desktop

%files marble-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libmarble*.so.*
%{_kde4_libdir}/kde4/libmarble_part.so
%{_kde4_libdir}/kde4/plugins/marble/

%files math
%defattr(-,root,root,-)
%{_kde4_bindir}/calgebra
%{_kde4_bindir}/cantor
%{_kde4_bindir}/kalgebra
%{_kde4_bindir}/kalgebramobile
%{_kde4_bindir}/kbruch
%{_kde4_bindir}/kig
%{_kde4_bindir}/kmplot
%{_kde4_bindir}/pykig.*
%{_kde4_bindir}/rocs
%{_kde4_libdir}/kde4/cantor_*.so
%exclude %{_kde4_libdir}/kde4/cantor_rbackend.so
%{_kde4_libdir}/kde4/libcantorpart.so
%{_kde4_libdir}/kde4/kigpart.*
%{_kde4_libdir}/kde4/libkmplotpart.*
%{_kde4_libdir}/kde4/rocs_*.so
%{_kde4_libdir}/kde4/plasma_applet_kalgebra.so
%{_kde4_datadir}/applications/kde4/cantor.desktop
%{_kde4_datadir}/applications/kde4/kalgebra.desktop
%{_kde4_datadir}/applications/kde4/kalgebramobile.desktop
%{_kde4_datadir}/applications/kde4/kbruch.desktop
%{_kde4_datadir}/applications/kde4/kig.desktop
%{_kde4_datadir}/applications/kde4/kmplot.desktop
%{_kde4_datadir}/applications/kde4/rocs.desktop
%{_kde4_datadir}/config.kcfg/cantor.kcfg
%{_kde4_datadir}/config.kcfg/cantor_libs.kcfg
%{_kde4_datadir}/config.kcfg/kbruch.kcfg
%{_kde4_datadir}/config.kcfg/kmplot.kcfg
%{_kde4_datadir}/config.kcfg/maximabackend.kcfg
%{_kde4_datadir}/config.kcfg/octavebackend.kcfg
%{_kde4_datadir}/config.kcfg/rocs.kcfg
%{_kde4_datadir}/config.kcfg/sagebackend.kcfg
%{_kde4_configdir}/cantor.knsrc
%{_kde4_configdir}/cantor_kalgebra.knsrc
%{_kde4_configdir}/cantor_maxima.knsrc
%{_kde4_configdir}/cantor_sage.knsrc
%{_kde4_configdir}/rocs.knsrc
%{_datadir}/dbus-1/interfaces/org.kde.kmplot.*
%{_kde4_docdir}/HTML/en/cantor/
%{_kde4_docdir}/HTML/en/kalgebra/
%{_kde4_docdir}/HTML/en/kbruch/
%{_kde4_docdir}/HTML/en/kig/
%{_kde4_docdir}/HTML/en/kmplot/
%{_kde4_docdir}/HTML/en/rocs/
%{_kde4_iconsdir}/hicolor/*/*/cantor.*
%{_kde4_iconsdir}/hicolor/*/*/kalgebra.*
%{_kde4_iconsdir}/hicolor/*/*/kbruch.*
%{_kde4_iconsdir}/hicolor/*/*/kig.*
%{_kde4_iconsdir}/hicolor/*/*/kmplot.*
%{_kde4_iconsdir}/hicolor/*/*/maximabackend.*
%{_kde4_iconsdir}/hicolor/*/*/octavebackend.*
%{_kde4_iconsdir}/hicolor/*/*/sagebackend.*
%{_kde4_iconsdir}/hicolor/*/*/application-x-kig.*
%{_kde4_appsdir}/cantor/
%{_kde4_appsdir}/cantorpart/
%{_kde4_appsdir}/kalgebra/
%{_kde4_appsdir}/katepart/syntax/python-kig.xml
%{_kde4_appsdir}/katepart/syntax/kalgebra.xml
%{_kde4_appsdir}/kbruch/
%{_kde4_appsdir}/kig/
%{_kde4_appsdir}/kmplot/
%{_kde4_appsdir}/rocs/
%{_kde4_datadir}/kde4/services/cantor/
%exclude %{_kde4_datadir}/kde4/services/cantor/rbackend.desktop
%{_kde4_datadir}/kde4/services/kalgebra*.desktop
%{_kde4_datadir}/kde4/services/kig_part.desktop
%{_kde4_datadir}/kde4/services/kmplot_part.desktop
%{_kde4_datadir}/kde4/services/rocs_*.desktop
%{_kde4_datadir}/kde4/servicetypes/cantor_*.desktop
%{_kde4_datadir}/kde4/servicetypes/kalgebrascript.desktop
%{_kde4_datadir}/kde4/servicetypes/Rocs*.desktop
%{_mandir}/man1/kbruch.*
%{_mandir}/man1/kig.*
%{_mandir}/man1/kmplot.*

%files math-cantor-R
%defattr(-,root,root,-)
%{_kde4_bindir}/cantor_rserver
%{_kde4_libdir}/kde4/cantor_rbackend.so
%{_kde4_datadir}/config.kcfg/rserver.kcfg
%{_kde4_configdir}/cantor_r.knsrc
%{_kde4_iconsdir}/hicolor/*/apps/rbackend.*
%{_kde4_datadir}/kde4/services/cantor/rbackend.desktop

%files math-libs
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_libdir}/libanalitza.so.*
%{_kde4_libdir}/libanalitzagui.so.*
%{_kde4_libdir}/libcantorlibs.so.*
%{_kde4_libdir}/libcantor_config.so
%{_kde4_libdir}/librocslib.so.*


%changelog
* Fri May 06 2011 Than Ngo <than@redhat.com> - 4.6.3-1
- 4.6.3

* Thu Apr 21 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.6.2-2
- update Marble to 1.1.0 (interim release between kdeedu 4.6.x and 4.7.x)

* Wed Apr 06 2011 Than Ngo <than@redhat.com> - 4.6.2-1
- 4.6.2

* Thu Mar 03 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-2
- respin tarball

* Sun Feb 27 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-1
- 4.6.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.0-2
- rebuild (boost)

* Fri Jan 21 2011 Jaroslav Reznik <jreznik@redhat.com> 4.6.0-1
- 4.6.0

* Wed Jan 05 2011 Jaroslav Reznik <jreznik@redhat.com> 4.5.95-1
- 4.5.95 (4.6rc2)

* Wed Dec 22 2010 Rex Dieter <rdieter@fedoraproject.org> 4.5.90-1
- 4.5.90 (4.6rc1)

* Sat Dec 04 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.5.85-1
- 4.5.85 (4.6beta2)

* Thu Nov 25 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.5.80-4
- rebuild for new openbabel (2.3.0)

* Tue Nov 23 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.5.80-3
- respun tarball, includes FindMarble fix

* Mon Nov 22 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.5.80-2
- backport upstream fix to install FindMarble.cmake (for kdeplasma-addons)

* Sat Nov 20 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.80-1
- 4.5.80 (4.6beta1)

* Fri Nov 05 2010 thomas Janssen <thomasj@fedoraproject.org> - 4.5.3-2
- rebuild for new libxml2

* Fri Oct 29 2010 Than Ngo <than@redhat.com> - 4.5.3-1
- 4.5.3

* Mon Oct 11 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.2-2
- kalzium.desktop: drop MimeTypes=chemical/x-cml (#587575, kde#235563)
- fix build for gpsd-2.39 (f13)

* Fri Oct 01 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.2-1
- 4.5.2

* Fri Aug 27 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.5.1-1
- 4.5.1
- drop BR: libusb-devel

* Sun Aug 22 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.5.0-2
- BR avogadro-devel >= 1.0.1 and libindi-devel >= 0.6.1

* Tue Aug 03 2010 Than Ngo <than@redhat.com> - 4.5.0-1
- 4.5.0

* Sat Jul 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.95-1
- 4.5 RC3 (4.4.95)

* Wed Jul 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.92-1
- 4.5 RC2 (4.4.92)

* Fri Jun 25 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.90-1
- 4.5 RC1 (4.4.90)

* Mon Jun 07 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.85-1
- 4.5 Beta 2 (4.4.85)

* Fri May 21 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.80-1
- 4.5 Beta 1 (4.4.80)

* Sat May 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.3-2
- rebuild (gpsd, kdelibs)

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.3-1
- 4.4.3

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.4.2-1
- 4.4.2

* Tue Mar 02 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.1-4
- split out kdeedu-math-cantor-R subpackage due to huge R-core dependency

* Mon Mar 01 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.1-3
- -devel: omit libanalitzagui.so, libcantorlibs.so

* Sun Feb 28 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.1-2
- move Cantor and Rocs to kdeedu-math
- create kdeedu-math-libs, move libs used by kdeedu-math there

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.1-1
- 4.4.1

* Tue Feb 16 2010 Than Ngo <than@redhat.com> - 4.4.0-4
- add cln in libqalculate.pc, drop unneeded patch

* Mon Feb 15 2010 Than Ngo <than@redhat.com> - 4.4.0-3
- fix build issue

* Sat Feb 13 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.0-2
- rebuild (libqalculate/cln implicit linkage, #564920)

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 4.4.0-1
- 4.4.0

* Sun Jan 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.98-1
- KDE 4.3.98 (4.4rc3)

* Sun Jan 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.95-3
- Provides: plasma-dataengine-{kalzium,parley}

* Sat Jan 30 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.95-2
- rebuild (libqalculate)

* Wed Jan 20 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.3.95-1
- KDE 4.3.95 (4.4rc2)

* Sat Jan 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-3
- rebuild (boost)

* Fri Jan 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-2
- drop indi_nodrivers patch (not needed anymore)

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-1
- kde-4.3.90 (4.4rc1)

* Wed Dec 30 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.85-2
- rebuild for new OCaml (3.11.2 rc1)

* Fri Dec 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-1
- kde-4.3.85 (4.4beta2)

* Wed Dec 16 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.80-2
- reenable ocaml-facile support (#546628)

* Tue Dec 01 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.80-1
- KDE 4.4 beta1 (4.3.80)
- temporarily disable ocaml-facile support due to #545116 (see #546628)

* Sun Nov 22 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.1.svn1048496
- Update to 4.3.75 snapshot

* Wed Nov 11 2009 Than Ngo <than@redhat.com> - 4.3.3-2
- rhel cleanup

* Sat Oct 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-1
- 4.3.3

* Tue Oct 20 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.2-2
- rebuild (eigen2)

* Mon Oct 05 2009 Than Ngo <than@redhat.com> - 4.3.2-1
- 4.3.2

* Tue Sep 29 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.1-4
- kdeedu-marble multilib fixes (rebuild for digikam botch)

* Tue Sep 22 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.1-3
- Requires: python-mwclient (#520954)

* Sun Sep 20 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.1-2
- kdeedu embeds python-mwclient and it's broken (#520954)
- Requires: kross-python

* Fri Aug 28 2009 Than Ngo <than@redhat.com> - 4.3.1-1
- 4.3.1

* Sun Aug 23 2009 Rex Dieter <rdieter@fedoraproject.org> 4.3.0-6
- -kstars-libs subpkg, make -kstars not multilib'd

* Thu Aug 20 2009 Rex Dieter <rdieter@fedoraproject.org. 4.3.0-5
- add Obsoletes to help multilib upgrades
- -marble-libs: move marble plugins here

* Sun Aug 09 2009 Rex Dieter <rdieter@fedoraproject.org> 4.3.0-4
- *really* make -marble-libs

* Sat Aug 08 2009 Rex Dieter <rdieter@fedoraproject.org> 4.3.0-3
- -libs: move libavogadro-kalzium libcompoundviewer here
- new -marble-libs pkg

* Sat Aug 01 2009 Rex Dieter <rdieter@fedoraproject.org> 4.3.0-2
- move kalziumuiwidgets.so designer plugin to -libs
- tighten -libs deps using %%?_isa
- %%check: desktop-file-validate
- fix conflict with oxygen-icons

* Thu Jul 30 2009 Than Ngo <than@redhat.com> - 4.3.0-1
- 4.3.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.98-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Than Ngo <than@redhat.com> - 4.2.98-1
- 4.3rc3

* Fri Jul 10 2009 Than Ngo <than@redhat.com> - 4.2.96-1
- 4.3rc2

* Tue Jul 07 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.95-3
- rebuild against fixed libqalculate to purge cln dep

* Mon Jul 06 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.95-2
- rebuild for cln(libqalculate), see also rhbz#509840

* Fri Jun 26 2009 Than Ngo <than@redhat.com> - 4.2.95-1
- 4.3rc1

* Thu Jun 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.90-1
- KDE-4.3 beta2 (4.2.90)

* Tue Jun 02 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 4.2.85-4
- Drop old Fedora < 8 conditionals

* Sat May 23 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.85-3
- Rebuild for new OCaml (3.11.1 rc0)

* Mon May 18 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.85-2
- Drop BR gmm-devel, no longer needed (replaced by Eigen2)

* Wed May 13 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.85-1
- KDE 4.3 beta 1

* Tue Mar 31 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.2-1
- KDE 4.2.2

* Wed Mar 25 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.1-3
- respin for gpsd (#491390)

* Wed Mar 25 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.1-2.1
- -marble: Conflicts: kdeedu-libs < 4.2.0 (f10-, #487550)

* Tue Mar 24 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.1-2
- libanalitza should go into-math subpkg (#491867)
- include designer plugins in runtime (not -devel)
- optimize scriptlets
- -math: move 'Obsoletes/Provides: kalgebra' here

* Fri Feb 27 2009 Than Ngo <than@redhat.com> - 4.2.1-1
- 4.2.1

* Thu Feb 26 2009 Than Ngo <than@redhat.com> 4.2.0-9
- fix build problem with gcc44

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 07 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.0-7
- kstars does not supply INDI (#478539)

* Fri Feb 06 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.0-6
- use system sj-stevehand-fonts (#477406)

* Thu Feb 05 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.0-5
- use system dustin-domestic-manners-fonts (#477406)

* Wed Feb 04 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.0-4
- main: move libs compoundviewer/avogadro-kalzium, analitza
- -marble: move geodatatest, drop Req: -libs

* Wed Feb 04 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.0-3
- move worldclock applet to -marble

* Sat Jan 24 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.0-2
- Requires: dustin-dustismo-roman-fonts

* Thu Jan 22 2009 Than Ngo <than@redhat.com> - 4.2.0-1
- 4.2.0

* Mon Jan 12 2009 Rex Dieter <rdieter@fedoraproject.org> 4.1.96-4
- drop extraneous giflib pcre deps

* Mon Jan 12 2009 Rex Dieter <rdieter@fedoraproject.org> 4.1.96-3
- sane marble packaging (#470577)
- use system dustismo-roman font (#477406)

* Fri Jan 09 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.96-2
- drop upstreamed cfitsio patch
- package manpages

* Wed Jan 07 2009 Than Ngo <than@redhat.com> 4.1.96-1
- 4.2rc1

* Thu Dec 18 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.85-5
- and fix cfitsio detection yet again (upstream revision 898747)

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.85-4
- respin (upstreamable) cfitsio patch

* Thu Dec 18 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.85-3
- fix cfitsio detection yet again

* Thu Dec 18 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.85-2
- rebuild for new boost

* Fri Dec 12 2008 Than Ngo <than@redhat.com> 4.1.85-1
- 4.2beta2

* Fri Dec 05 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-9
- rebuild for fixed kde-filesystem (macros.kde4) (get rid of rpaths)

* Thu Dec 04 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 4.1.80-8
- Rebuild for Python 2.6

* Tue Dec 02 2008 Steven M. Parrish <smparrish@shallowcreek.net> 4.1.80-7
- rebuild for gmm 3.1

* Mon Dec 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-6
- rebuild for Python 2.6

* Mon Dec 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-5
- BR plasma-devel instead of kdebase-workspace-devel
- fix file list

* Sun Nov 30 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 4.1.80-4
- adjust file lists (and fix build)

* Thu Nov 20 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-3
- readd kbruch, has been reenabled in 4.1.80
- remove kpercentage, has been dropped in favor of percentage exercises newly
  added to kbruch

* Thu Nov 20 2008 Than Ngo <than@redhat.com> 4.1.80-2
- merged

* Thu Nov 20 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 4.1.80-1
- 4.1.80
- BR cmake 2.6.2
- BR python-devel
- make install/fast
- drop kbruch and related files from filelists

* Mon Nov 10 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.1.3-1
- KDE 4.1.3

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2
- make VERBOSE=1
- respin against new(er) kde-filesystem

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-1
- 4.1.2

* Fri Aug 29 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Mon Jul 07 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Mon Jul 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.84-2
- rebuild for new OpenBabel

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Thu Jun 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.83-2
- %%description: update for new apps
- -math subpkg (#446093)
- -devel: omit a few lib*.so symlinks for those with non-public apis
- -devel: move designer plugins here

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Fri Jun 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-5
- BR OpenBabel 2.2.0 beta5, drop build fix hack for beta 4

* Thu Jun 05 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-4
- backport upstream fix for Step build

* Tue Jun 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-3
- add BR gmm-devel, libqalculate-devel and gsl-devel for Step

* Tue May 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-2
- patch to build against OpenBabel 2.2.0 beta4

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Fri May 23 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-3
- put unversioned libanalitza.so in -libs instead of -devel (#448035)

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.72-2
- -kstars subpkg (#432317)

* Thu May 08 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- use pkgconfig for cfitsio patch now that cfitsio.pc has been fixed
- add BR kdebase-workspace-devel for plasmoids
- add BR libxml2-devel, libxslt-devel for Parley HTML export
- BR new minimum version of openbabel-devel

* Wed Apr 23 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-4
- rebuild for new ocaml (3.10.2)

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3
- drop kdeedu-4.0.2-openbabel.patch, it's included in new version

* Wed Mar 26 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-6
- bump marble Provides/Obsoletes

* Fri Mar 21 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-5
- BR ocaml(compiler) and ocaml-facile-devel (for Kalzium)

* Wed Mar 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-4
- add BR eigen-devel (for Kalzium)
- update file list (add avogadro-kalzium files)

* Fri Mar 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-3
- fix cfitsio detection by adding another hardcoded directory

* Fri Mar 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-2
- reenable BR openbabel-devel, fix build with it
- add BR gpsd-devel (for marble), libnova-devel (for KStars)

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- 4.0.1

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-2
- respun tarball

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-1
- kde-4.0.0

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-4
- -devel: Obsoletes: marble-devel (#394011)

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-3
- list marble headers separately as they are in %%{_includedir}

* Tue Dec 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- rebuild for changed _kde4_includedir

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-1
- kde-3.97.0

* Thu Nov 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.2-1
- kde-3.96.2

* Tue Nov 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.1-2
- kde-3.96.1

* Wed Nov 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-3
- Obsoletes/Provides: marble (#394011)

* Thu Nov 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-2
- unpackaged files

* Thu Nov 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-1
- kde-3.96.0

* Fri Nov 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.2-1
- kdeedu-3.95.2
- resume ppc, ppc64 builds (#370771)

* Wed Nov 07 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-4
- ExcludeArch: ppc ppc64 (#370771)

* Wed Nov 07 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-2
- Obsoletes/Provides: kalgebra (#371121)

* Mon Nov 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-1
- kdeedu-3.95 (kde-4-beta4)

* Fri Nov 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.94.0-2
- drop ocaml support (for now)

* Wed Oct 31 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.94.0-1
- kdeedu-3.94 (kde-4-beta3)
- drop multilib hacks

* Tue Oct 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-3
- -libs: Obsoletes: %%name ... to help out multilib upgrades

* Wed Oct 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-2
- -libs conditional (f8+)
- %%post/%%postun libs /sbin/ldconfig

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-1
- kde-3.5.8
- License: GPLv2
- libs subpkg (more multilib friendly)

* Fri Aug 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-2
- respin for boost abi change

* Mon Jun 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-1
- 3.5.7

* Tue Mar 06 2007 Than Ngo <than@redhat.com> - 3.5.6-2.fc7
- cleanup

* Wed Feb 07 2007 Than Ngo <than@redhat.com> 3.5.6-1.fc7
- 3.5.6

* Thu Dec 14 2006 Karsten Hopp <karsten@redhat.com> 3.5.4-2
- fix automake version check

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 3.5.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Fri Jul 14 2006 Than Ngo <than@redhat.com> 3.5.3-2
- BR: autoconf automake libtool

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.5.3-1.1
- rebuild

* Sat Jun 03 2006 Than Ngo <than@redhat.com> 3.5.3-1
- update to 3.5.3

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb 04 2006 Than Ngo <than@redhat.com> 3.5.1-1
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 3.5.0-1
- 3.5 final

* Fri Nov 11 2005 Than Ngo <than@redhat.com> 3.4.92-2
- fix #172887

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 3.4.92-1
- update to 3.5 beta2

* Thu Oct 06 2005 Than Ngo <than@redhat.com> 3.4.91-1
- update to 3.5 beta 1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 3.4.2-3
- fix uic build problem

* Wed Aug 24 2005 Than Ngo <than@redhat.com> 3.4.2-2
- rebuilt against boost-1.33

* Wed Aug 10 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Mon Jul 18 2005 Than Ngo <than@redhat.com> 3.4.1-2
- enable python-scripting #157961

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 3.4.1-1
- 3.4.1
- fix gcc4 build problem

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.1
- 3.4.0 rc1

* Wed Feb 16 2005 Than Ngo <than@redhat.com> 3.3.92-0.1
- KDE-3.4 Beta2

* Wed Feb 09 2005 Than Ngo <than@redhat.com> 3.3.2-0.2
- replace kgeo (#142367)

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 3.3.1-1
- update to 3.3.1 release

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to 3.2.3

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 3.2.2-2
- fix some broken code

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 3.2.2-1
- update to 3.2.2

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 3.2.1-1
- 3.2.1

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 3.2.0-1.5
- gcc 3.4 build problem

* Thu Feb 19 2004 Than Ngo <than@redhat.com> 3.2.0-1.4
- add missing ldconfig in post/postun, #116171

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 3.1.94-0.1
- KDE 3.2 Beta 2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 3.1.93-0.1
- KDE 3.2 Beta1
- cleanup
- remove some unneeded patch files

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 3.1.4-1
- 3.1.4

* Thu Aug 21 2003 Than Ngo <than@redhat.com> 3.1.3-2
- fixed build problem with gcc 3.3

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Fri Jul 4 2003 Than Ngo <than@redhat.com> 3.1.2-5
- don't include debug infos in main package (bug #87730)

* Thu Jun 26 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove some unneeded macros

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.5
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- rc6
- removed size_t check
- excluded ia64

* Sun Dec  1 2002 Than Ngo <than@redhat.com> 3.1-0.3
- add missing defattr

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.2
- get rid of sub packages
- desktop issues

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- add fix for building xjdxgen

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- cleanup specfile

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 3.0.2-3
- desktop file issues
- fixed a bug in install (bug #69414)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- build using gcc-3.2-0.1

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
